---
title: MediaSettingsRange
slug: Web/API/MediaSettingsRange
tags:
  - API
  - Image
  - ImageCapture
  - Interface
  - MediaSettingsRange
  - MediaStream
  - MediaStream Image Capture API
  - Refernce
---
<p>{{SeeCompatTable}}{{APIRef("MediaStream Image")}}</p>

<p><span class="seoSummary">The <strong><code>MediaSettingsRange</code></strong> interface of the <a href="/en-US/docs/Web/API/MediaStream_Image_Capture_API">MediaStream Image Capture API</a> provides the possible range and value size of {{domxref("PhotoCapabilities.imageHeight")}} and {{domxref("PhotoCapabilities.imageWidth")}}. A {{domxref("PhotoCapabilities")}} object can be retrieved by calling {{domxref("ImageCapture.PhotoCapabilities","ImageCapture.PhotoCapabilities()")}}.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("MediaSettingsRange.max")}}</dt>
	<dd>Returns the maximum value of this settings.</dd>
	<dt>{{domxref("MediaSettingsRange.min")}}</dt>
	<dd>Returns the minimum value of this setting.</dd>
	<dt>{{domxref("MediaSettingsRange.step")}}</dt>
	<dd>Returns the minimum difference between consecutive values of this setting.</dd>
	<dt>
	<h2 id="Example">Example</h2>
	</dt>
</dl>

<p>The following example, extracted from <a href="https://googlechrome.github.io/samples/image-capture/photo-resolution.html">Chrome's Image Capture / Photo Resolution Sample</a>, uses the results from <code>getPhotoCapabilities().imageWidth</code> to modify the size of an input range.  </p>

<pre><code>const input = document.querySelector('input[type="range"]');

var imageCapture;

navigator.mediaDevices.getUserMedia({video: true})
.then(mediaStream =&gt; {
  document.querySelector('video').srcObject = mediaStream;

  const track = mediaStream.getVideoTracks()[0];
  imageCapture = new ImageCapture(track);

  return imageCapture.getPhotoCapabilities();
})
.then(photoCapabilities =&gt; {
  const settings = imageCapture.track.getSettings();

  input.min = photoCapabilities.imageWidth.min;
  input.max = photoCapabilities.imageWidth.max;
  input.step = photoCapabilities.imageWidth.step;

  return imageCapture.getPhotoSettings();
})
.then(photoSettings =&gt; {
  input.value = photoSettings.imageWidth;
})
.catch(error =&gt; console.log('Argh!', error.name || error));</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('MediaStream Image','#mediasettingsrange-section','MediaSettingsRange')}}</td>
			<td>{{Spec2('MediaStream Image')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaSettingsRange")}}</p>
